Page MenuHomePhabricator

French needs a different translation for hide vs. suppress in Flow
Closed, ResolvedPublic

Description

Flow permits to anyone to hide an answer. When you hide an answer no one can see the content of this answer, except particular roles.

French Wikipedia rules about discussions asks to keep the discussion history clear, except for very particular cases. "Hidden" action button does not allows this.

Is it possible to change the configuration?

Event Timeline

Trizek-WMF raised the priority of this task from to Needs Triage.
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF added subscribers: Trizek-WMF, Superjuju10.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 8 2015, 1:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

It is true that Flow by default allows anyone to hide (flow-hide right) a comment.

The corresponding history text in French is:

"flow-rev-message-hid-post": "$1 {{GENDER:$2|a masqué}} un [$4 commentaire] sur « $6 » (<em>$5</em>)..",

However, anyone can also see a hidden post.

There are also separate actions/right (flow-delete, and flow-suppress).

Only users with flow-delete (typically admins) can see deleted content, and only users with flow-suppress can see suppressed/oversighted content.

That topic history doesn't show any hidden posts AFAICT, only one deleted one, so it's not testing this.

Note, there is another significant issue. French is using the same text for hidden and suppressed, when they are very different:

	"flow-rev-message-hid-post": "$1 {{GENDER:$2|a masqué}} un [$4 commentaire] sur « $6 » (<em>$5</em>)..",
	"flow-rev-message-suppressed-post": "$1 {{GENDER:$2|a masqué}} un [$4 commentaire] sur « $6 » (<em>$5</em>)..",

This needs to be fixed.

Masquer is apparently the term used for oversight (AFAICT, since https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Masqueur_de_modifications is linked to https://en.wikipedia.org/wiki/Wikipedia:Oversight and mentions oversighter).

So a new term needs to be invented for hidden. Basically, this is something anyone can do or undo, analogous to blanking text (without actually deleting anything) on an old talk page.

Mattflaschen-WMF renamed this task from Hidden a Flow post is against certain French Wikipedia policies to French needs a different translation for hide vs. suppress in Flow.Sep 8 2015, 11:13 PM
Mattflaschen-WMF added a project: I18n.
Mattflaschen-WMF set Security to None.
In T111778#1618653, @Mattflaschen wrote:

However, anyone can also see a hidden post.

Tests I've practiced show the contrary :)

Masquer is apparently the term used for oversight (AFAICT, since https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Masqueur_de_modifications is linked to https://en.wikipedia.org/wiki/Wikipedia:Oversight and mentions oversighter).
So a new term needs to be invented for hidden. Basically, this is something anyone can do or undo, analogous to blanking text (without actually deleting anything) on an old talk page.

Yes, "Masquer" (mask) is the term for oversights actions.

"Cacher" (hide) is more accurate and can be changed on TranslateWiki.

In T111778#1618653, @Mattflaschen wrote:

However, anyone can also see a hidden post.

Tests I've practiced show the contrary :)

Please link to an example.

In my testing it works.

For example, see https://www.mediawiki.org/wiki/Topic:Solwvj9uib3bpdoh . I hid the initial post of the topic.

However, if you go to topic history (https://www.mediawiki.org/w/index.php?title=Topic:Solwvj9uib3bpdoh&action=history), you can just click commented and then see it.

Just like blanking wikitext, it's not accessible by default (it is hidden, after all), but it's in the history.

"Cacher" (hide) is more accurate and can be changed on TranslateWiki.

Could you do this? If not, we can ask a volunteer.

There are several messages (including this one) involving hide or hidden. See en.json. flow-board-collapse-description is just a temporary visual collapse; it does not affect the actual content, or other users' viewing preferences. Same for flow-hide-comments-title .

Trizek-WMF added a comment.EditedSep 10 2015, 9:43 AM

On this conversation, I was not able to see the hidden contents. Appears it works.

Translation is already accurate on the interface. I haven't been attentive, sorry.

Translation is already accurate on the interface. I haven't been attentive, sorry.

It still uses masquer.

Updated on TranslateWiki. Thanks a lot for your patience, @Mattflaschen!

Updated on TranslateWiki. Thanks a lot for your patience, @Mattflaschen!

Maybe we could discuss this on IRC?

DannyH closed this task as Resolved.Sep 11 2015, 9:21 PM
DannyH claimed this task.
DannyH added a subscriber: DannyH.

Looks like this got resolved... thanks, guys

Trizek-WMF closed this task as Resolved.Sep 14 2015, 2:59 PM
Nnemo added a subscriber: Nnemo.Sep 29 2015, 1:35 PM